curl --request GET \
--url https://api.topsort.com/public/v1/toptimize/forecasting/marketplace \
--header 'Authorization: Bearer <token>'[
{
"forecastDate": "2025-01-15",
"metrics": [
{
"metricName": "total_auctions",
"values": {
"forecastValue": 12500,
"forecastIntervalMin": 11800,
"forecastIntervalMax": 13200
}
},
{
"metricName": "total_slots",
"values": {
"forecastValue": 25000,
"forecastIntervalMin": 23500,
"forecastIntervalMax": 26500
}
},
{
"metricName": "total_winners",
"values": {
"forecastValue": 8750,
"forecastIntervalMin": 8200,
"forecastIntervalMax": 9300
}
},
{
"metricName": "total_impressions",
"values": {
"forecastValue": 18750,
"forecastIntervalMin": 17600,
"forecastIntervalMax": 19900
}
},
{
"metricName": "total_clicks",
"values": {
"forecastValue": 3750,
"forecastIntervalMin": 3500,
"forecastIntervalMax": 4000
}
},
{
"metricName": "avg_cpc",
"values": {
"forecastValue": 2.85,
"forecastIntervalMin": 2.7,
"forecastIntervalMax": 3
}
},
{
"metricName": "avg_ctr",
"values": {
"forecastValue": 0.2,
"forecastIntervalMin": 0.18,
"forecastIntervalMax": 0.22
}
},
{
"metricName": "slot_occupancy",
"values": {
"forecastValue": 0.7,
"forecastIntervalMin": 0.65,
"forecastIntervalMax": 0.75
}
},
{
"metricName": "total_capacity",
"values": {
"forecastValue": 125000,
"forecastIntervalMin": 118000,
"forecastIntervalMax": 132000
}
},
{
"metricName": "occupied_capacity",
"values": {
"forecastValue": 87500,
"forecastIntervalMin": 82000,
"forecastIntervalMax": 93000
}
}
]
}
]Get marketplace forecasts for the given time window.
⚠️ Beta Access Required
Contact your sales representative to gain access to this endpoint and start using it.
It returns a list of daily forecasts for the following metrics:
curl --request GET \
--url https://api.topsort.com/public/v1/toptimize/forecasting/marketplace \
--header 'Authorization: Bearer <token>'[
{
"forecastDate": "2025-01-15",
"metrics": [
{
"metricName": "total_auctions",
"values": {
"forecastValue": 12500,
"forecastIntervalMin": 11800,
"forecastIntervalMax": 13200
}
},
{
"metricName": "total_slots",
"values": {
"forecastValue": 25000,
"forecastIntervalMin": 23500,
"forecastIntervalMax": 26500
}
},
{
"metricName": "total_winners",
"values": {
"forecastValue": 8750,
"forecastIntervalMin": 8200,
"forecastIntervalMax": 9300
}
},
{
"metricName": "total_impressions",
"values": {
"forecastValue": 18750,
"forecastIntervalMin": 17600,
"forecastIntervalMax": 19900
}
},
{
"metricName": "total_clicks",
"values": {
"forecastValue": 3750,
"forecastIntervalMin": 3500,
"forecastIntervalMax": 4000
}
},
{
"metricName": "avg_cpc",
"values": {
"forecastValue": 2.85,
"forecastIntervalMin": 2.7,
"forecastIntervalMax": 3
}
},
{
"metricName": "avg_ctr",
"values": {
"forecastValue": 0.2,
"forecastIntervalMin": 0.18,
"forecastIntervalMax": 0.22
}
},
{
"metricName": "slot_occupancy",
"values": {
"forecastValue": 0.7,
"forecastIntervalMin": 0.65,
"forecastIntervalMax": 0.75
}
},
{
"metricName": "total_capacity",
"values": {
"forecastValue": 125000,
"forecastIntervalMin": 118000,
"forecastIntervalMax": 132000
}
},
{
"metricName": "occupied_capacity",
"values": {
"forecastValue": 87500,
"forecastIntervalMin": 82000,
"forecastIntervalMax": 93000
}
}
]
}
]A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
How many days to forecast into the future.
War diese Seite hilfreich?